Index: trunk/ab5.0/abdev/BasicCompiler32/Compile_Var.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler32/Compile_Var.cpp	(revision 461)
+++ trunk/ab5.0/abdev/BasicCompiler32/Compile_Var.cpp	(revision 465)
@@ -35,5 +35,5 @@
 	else{
 		//エラー
-		SetError(1,NULL,cp);
+		compiler.errorMessenger.Output(1,NULL,cp);
 		return;
 	}
@@ -185,5 +185,5 @@
 	if( !pMember )
 	{
-		if(isErrorEnabled) SetError(103,VarName,cp);
+		if(isErrorEnabled) compiler.errorMessenger.Output(103,VarName,cp);
 		return false;
 	}
@@ -196,5 +196,5 @@
 		//同一クラスオブジェクトの場合はプライベートアクセスを容認する
 		if(pMember->IsNoneAccess()){
-			if(isErrorEnabled) SetError(107,VarName,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(107,VarName,cp);
 			return false;
 		}
@@ -203,9 +203,9 @@
 		if((bPrivateAccess==0&&pMember->IsPrivate())||
 			pMember->IsNoneAccess()){
-			if(isErrorEnabled) SetError(107,VarName,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(107,VarName,cp);
 			return false;
 		}
 		else if(bPrivateAccess==0&&pMember->IsProtected()){
-			if(isErrorEnabled) SetError(108,VarName,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(108,VarName,cp);
 			return false;
 		}
@@ -219,5 +219,5 @@
 		){
 			//Const定義の変数に書き込みアクセスをしようとした場合
-			SetError(61,VarName,cp);
+			compiler.errorMessenger.Output(61,VarName,cp);
 	}
 
@@ -237,5 +237,5 @@
 	else{
 		if(lpPtrOffset[0]){
-			if(isErrorEnabled) SetError(16,member,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(16,member,cp);
 			return false;
 		}
@@ -250,5 +250,5 @@
 		//配列オフセット
 		if(!GetArrayOffset(pMember->GetSubscripts(),array,pMember->GetType())){
-			if(isErrorEnabled) SetError(14,member,cp);
+			if(isErrorEnabled) compiler.errorMessenger.Output(14,member,cp);
 			return false;
 		}
@@ -263,5 +263,5 @@
 		if( resultType.IsObject() || resultType.IsStruct() ){
 			if( refType != RefDot ){
-				if(isErrorEnabled) SetError(104,member,cp);
+				if(isErrorEnabled) compiler.errorMessenger.Output(104,member,cp);
 				return false;
 			}
@@ -279,5 +279,5 @@
 				if( ( resultType.IsObjectPtr() || resultType.IsStructPtr() )
 					&& refType != RefDot ){
-						if(isErrorEnabled) SetError(104,member,cp);
+						if(isErrorEnabled) compiler.errorMessenger.Output(104,member,cp);
 						return false;
 				}
@@ -293,5 +293,5 @@
 				if( ( resultType.IsObjectPtr() || resultType.IsStructPtr() )
 					&& refType != RefPointer ){
-						if(isErrorEnabled) SetError(104,member,cp);
+						if(isErrorEnabled) compiler.errorMessenger.Output(104,member,cp);
 						return false;
 				}
@@ -307,5 +307,5 @@
 				//ppObj[n]->member
 				if( refType != RefPointer ){
-					if(isErrorEnabled) SetError(104,member,cp);
+					if(isErrorEnabled) compiler.errorMessenger.Output(104,member,cp);
 					return false;
 				}
@@ -321,5 +321,5 @@
 			}
 			else{
-				if(isErrorEnabled) SetError(104,member,cp);
+				if(isErrorEnabled) compiler.errorMessenger.Output(104,member,cp);
 				return false;
 			}
@@ -403,5 +403,5 @@
 			else{
 				if(lpPtrOffset[0]){
-					SetError(16,variable,cp);
+					compiler.errorMessenger.Output(16,variable,cp);
 					pRelativeVar->dwKind=NON_VAR;
 					return false;
@@ -485,5 +485,5 @@
 			compiler.pCompilingClass->IsCompilingDestructor() == false
 			){
-				SetError(131, NULL, cp );
+				compiler.errorMessenger.Output(131, NULL, cp );
 		}
 
@@ -577,5 +577,5 @@
 		}
 
-		if(isErrorEnabled) SetError(3,variable,cp);
+		if(isErrorEnabled) compiler.errorMessenger.Output(3,variable,cp);
 		pRelativeVar->dwKind=NON_VAR;
 		return false;
@@ -593,5 +593,5 @@
 		else{
 			if(lpPtrOffset[0]){
-				SetError(16,variable,cp);
+				compiler.errorMessenger.Output(16,variable,cp);
 				pRelativeVar->dwKind=NON_VAR;
 				return false;
@@ -619,9 +619,9 @@
 		if( resultType.IsObject() ){
 			//オブジェクト定数
-			SetError(130, VarName, cp );
+			compiler.errorMessenger.Output(130, VarName, cp );
 		}
 		else{
 			//一般のConst変数
-			SetError(61,VarName,cp);
+			compiler.errorMessenger.Output(61,VarName,cp);
 		}
 	}
@@ -647,5 +647,5 @@
 	if(array[0]){
 		if(!GetArrayOffset(*pSubscripts,array,resultType)){
-			SetError(14,variable,cp);
+			compiler.errorMessenger.Output(14,variable,cp);
 			pRelativeVar->dwKind=NON_VAR;
 			return false;
@@ -656,5 +656,5 @@
 			//実態オブジェクトのメンバを参照（obj.member）
 			if( refType != RefDot ){
-				SetError(104,VarName,cp);
+				compiler.errorMessenger.Output(104,VarName,cp);
 				pRelativeVar->dwKind=NON_VAR;
 				return false;
@@ -671,5 +671,5 @@
 				//pObj[n].member
 				if( refType != RefDot ){
-					SetError(104,VarName,cp);
+					compiler.errorMessenger.Output(104,VarName,cp);
 					pRelativeVar->dwKind=NON_VAR;
 					return false;
@@ -681,5 +681,5 @@
 				//pObj->member
 				if( refType != RefPointer ){
-					SetError(104,VarName,cp);
+					compiler.errorMessenger.Output(104,VarName,cp);
 					pRelativeVar->dwKind=NON_VAR;
 					return false;
@@ -698,5 +698,5 @@
 				//ppObj[n]->member
 				if( refType != RefPointer ){
-					SetError(104,VarName,cp);
+					compiler.errorMessenger.Output(104,VarName,cp);
 					pRelativeVar->dwKind=NON_VAR;
 					return false;
@@ -713,5 +713,5 @@
 			}
 			else{
-				SetError(104,VarName,cp);
+				compiler.errorMessenger.Output(104,VarName,cp);
 				pRelativeVar->dwKind=NON_VAR;
 				return false;
@@ -719,5 +719,5 @@
 		}
 		else{
-			SetError(102,VarName,cp);
+			compiler.errorMessenger.Output(102,VarName,cp);
 			pRelativeVar->dwKind=NON_VAR;
 			return false;
@@ -768,5 +768,5 @@
 				while(1){
 					if( subscripts[0] < i2 ){
-						SetError(41,0,cp);
+						compiler.errorMessenger.Output(41,0,cp);
 						return 0;
 					}
@@ -790,5 +790,5 @@
 			BOOST_FOREACH( CMember *pMember, objClass.GetDynamicMembers() ){
 				if(InitBuf[i]=='\0'){
-					SetError(41,0,cp);
+					compiler.errorMessenger.Output(41,0,cp);
 					return false;
 				}
@@ -806,5 +806,5 @@
 		}
 
-		SetError(41,0,cp);
+		compiler.errorMessenger.Output(41,0,cp);
 		return false;
 	}
@@ -816,5 +816,5 @@
 
 	if( subscripts.size() > 0 ){
-		SetError(41,0,cp);
+		compiler.errorMessenger.Output(41,0,cp);
 		return false;
 	}
@@ -931,5 +931,5 @@
 				while(1){
 					if( subscripts[0] < i2 ){
-						SetError(41,0,cp);
+						compiler.errorMessenger.Output(41,0,cp);
 						return 0;
 					}
@@ -953,5 +953,5 @@
 			BOOST_FOREACH( CMember *pMember, objClass.GetDynamicMembers() ){
 				if(InitBuf[i]=='\0'){
-					SetError(41,0,cp);
+					compiler.errorMessenger.Output(41,0,cp);
 					return false;
 				}
@@ -971,5 +971,5 @@
 		}
 
-		SetError(41,0,cp);
+		compiler.errorMessenger.Output(41,0,cp);
 		return false;
 	}
@@ -981,5 +981,5 @@
 
 	if( subscripts.size() > 0 ){
-		SetError(41,0,cp);
+		compiler.errorMessenger.Output(41,0,cp);
 		return false;
 	}
@@ -1105,5 +1105,5 @@
 		if( UserProc::CompilingUserProc().GetLocalVars().DuplicateCheck( Symbol( VarName ) ) ){
 			//２重定義のエラー
-			SetError(15,VarName,cp);
+			compiler.errorMessenger.Output(15,VarName,cp);
 			return;
 		}
@@ -1218,5 +1218,5 @@
 		else{
 			if( subscripts.size() > 1 ){
-				SetError(300,NULL,cp);
+				compiler.errorMessenger.Output(300,NULL,cp);
 			}
 			sprintf( objectSize, "%d", subscripts[0] );
@@ -1230,5 +1230,5 @@
 		GetVarOffset( true, false, VarName, &RelativeVar, Type() );
 		if( RelativeVar.dwKind == VAR_DIRECTMEM ){
-			SetError();
+			compiler.errorMessenger.OutputFatalError();
 		}
 		SetVariableFromEax( Type( DEF_OBJECT, *compiler.GetObjectModule().meta.GetClasses().GetObjectClassPtr() ), DEF_OBJECT, &RelativeVar );
@@ -1306,5 +1306,5 @@
 void SetVarPtrToReg(int reg,RELATIVE_VAR *pRelativeVar){
 	if( reg != REG_EAX ){
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 		//TODO: 未完成
 	}
@@ -1315,5 +1315,5 @@
 	const UserProc *pUserProc_AddGlobalRootPtr = GetClassMethod( "_System_CGarbageCollection", "AddGlobalRootPtr" );
 	if( !pUserProc_AddGlobalRootPtr ){
-		SetError(3, "_System_CGarbageCollection.AddGlobalRootPtr", -1 );
+		compiler.errorMessenger.Output(3, "_System_CGarbageCollection.AddGlobalRootPtr", -1 );
 		return false;
 	}
